Skip to navigation

List Polling Webhooks

Lists the polling webhooks created through this route. page_token must come from this endpoint; a token from another list endpoint is rejected.

CLI:

agentmail webhooks polling list

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Limit of number of items returned.
page_tokenstringOptional
Page token for pagination.
ascendingbooleanOptional
Sort in ascending temporal order.

Response

This endpoint returns an object.
countinteger
Number of items returned.
polling_webhookslist of objects

Ordered by created_at descending. Lists the subscriptions created through this route (organization, pod, or inbox); subscriptions created through a pod or inbox route are listed through that route.

limitintegerOptional
Limit of number of items returned.
next_page_tokenstringOptional
Page token for pagination.

Errors

400
Validation Error